libabw::ABWOrderedListElement Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libabw::ABWOrderedListElement Struct Reference

`#include <ABWCollector.h>`

Inheritance diagram for libabw::ABWOrderedListElement:

## Public Member Functions
| ABWOrderedListElement ()
| ~ABWOrderedListElement ()
void | writeOut (librevenge::RVNGPropertyList &propList) const
ABWListType | getType () const
Public Member Functions inherited from libabw::ABWListElement
| ABWListElement ()
virtual | ~ABWListElement ()

## Public Attributes
librevenge::RVNGString | m_numFormat
librevenge::RVNGString | m_numPrefix
librevenge::RVNGString | m_numSuffix
int | m_startValue
Public Attributes inherited from libabw::ABWListElement
int | m_listLevel
double | m_minLabelWidth
double | m_spaceBefore
int | m_parentId

## Constructor & Destructor Documentation

libabw::ABWOrderedListElement::ABWOrderedListElement | ( |  | ) |
| inline

libabw::ABWOrderedListElement::~ABWOrderedListElement | ( |  | ) |
| inline

## Member Function Documentation

ABWListType libabw::ABWOrderedListElement::getType | ( |  | ) | const
| inlinevirtual

Implements libabw::ABWListElement.

void libabw::ABWOrderedListElement::writeOut | ( | librevenge::RVNGPropertyList & | propList | ) | const
| virtual

Reimplemented from libabw::ABWListElement.

## Member Data Documentation

librevenge::RVNGString libabw::ABWOrderedListElement::m_numFormat

Referenced by libabw::ABWStylesCollector::_processList().

librevenge::RVNGString libabw::ABWOrderedListElement::m_numPrefix

Referenced by libabw::ABWStylesCollector::_processList().

librevenge::RVNGString libabw::ABWOrderedListElement::m_numSuffix

Referenced by libabw::ABWStylesCollector::_processList().

int libabw::ABWOrderedListElement::m_startValue

Referenced by libabw::ABWStylesCollector::_processList().

The documentation for this struct was generated from the following files:

- ABWCollector.h
- ABWCollector.cpp